summaryrefslogtreecommitdiffstats
path: root/jjb/prediction/docu-build.sh
diff options
context:
space:
mode:
authorMatthewLi <matthew.lijun@huawei.com>2015-04-22 10:41:02 +0800
committerMatthewLi <matthew.lijun@huawei.com>2015-04-30 21:05:49 +0800
commit10a0b24d9f634213377a447309fc626acf0dcd3c (patch)
tree5ec44794a8fd0b600ce818a54f5fbf00b9ffb252 /jjb/prediction/docu-build.sh
parent2d5841eb74688afbec3ef571199bf2a8d4c09276 (diff)
add build scripts and amend jjb for prediction project
JIRA PREDICTION-1 Change-Id: I07e671d5e821c5dc7d6275a0fbf9b623a4c6aff8 Signed-off-by: MatthewLi <matthew.lijun@huawei.com>
Diffstat (limited to 'jjb/prediction/docu-build.sh')
-rw-r--r--jjb/prediction/docu-build.sh62
1 files changed, 62 insertions, 0 deletions
diff --git a/jjb/prediction/docu-build.sh b/jjb/prediction/docu-build.sh
new file mode 100644
index 000000000..7358118bd
--- /dev/null
+++ b/jjb/prediction/docu-build.sh
@@ -0,0 +1,62 @@
+#!/bin/bash
+set -e
+set -o pipefail
+project="$(git remote -v | head -n1 | awk '{{print $2}}' | sed -e 's,.*:\(.*/\)\?,,' -e 's/\.git$//')"
+export PATH=$PATH:/usr/local/bin/
+
+git_sha1="$(git rev-parse HEAD)"
+docu_build_date="$(date)"
+
+files=()
+while read -r -d ''; do
+ files+=("$REPLY")
+done < <(find * -type f -iname '*.rst' -print0)
+
+for file in "${{files[@]}}"; do
+
+ file_cut="${{file%.*}}"
+ gs_cp_folder="${{file_cut}}"
+
+ # sed part
+ sed -i "s/_sha1_/$git_sha1/g" $file
+ sed -i "s/_date_/$docu_build_date/g" $file
+
+ # rst2html part
+ echo "rst2html $file"
+ rst2html $file | gsutil cp -L gsoutput.txt - \
+ gs://artifacts.opnfv.org/"$project"/"$gs_cp_folder".html
+ gsutil setmeta -h "Content-Type:text/html" \
+ -h "Cache-Control:private, max-age=0, no-transform" \
+ gs://artifacts.opnfv.org/"$project"/"$gs_cp_folder".html
+ cat gsoutput.txt
+ rm -f gsoutput.txt
+
+ echo "rst2pdf $file"
+ rst2pdf $file -o - | gsutil cp -L gsoutput.txt - \
+ gs://artifacts.opnfv.org/"$project"/"$gs_cp_folder".pdf
+ gsutil setmeta -h "Content-Type:application/pdf" \
+ -h "Cache-Control:private, max-age=0, no-transform" \
+ gs://artifacts.opnfv.org/"$project"/"$gs_cp_folder".pdf
+ cat gsoutput.txt
+ rm -f gsoutput.txt
+
+done
+
+images=()
+while read -r -d ''; do
+ images+=("$REPLY)
+done < <(find * -type f \( -iname \*.jpg -o -iname \*.png \) -print0)
+
+for img in "${{images[@]}}"; do
+
+ # uploading found images
+ echo "uploading $img"
+ cat "$img" | gsutil cp -L gsoutput.txt - \
+ gs://artifacts.opnfv.org/"$project"/"$img"
+ gsutil setmeta -h "Content-Type:image/jpeg" \
+ -h "Cache-Control:private, max-age=0, no-transform" \
+ gs://artifacts.opnfv.org/"$project"/"$img"
+ cat gsoutput.txt
+ rm -f gsoutput.txt
+
+done